package com.ningdatech.pmapi.irs.controller;

import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.dashboard.model.vo.ProtraitProjectOutputVO;
import com.ningdatech.pmapi.irs.manage.IrsProjectManage;
import com.ningdatech.pmapi.projectlib.model.req.ProjectListReq;
import com.ningdatech.pmapi.projectlib.model.vo.ProjectLibListItemVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Classname IrsController
 * @Description irs 一些下拉框信息
 * @Date 2023/3/13 9:53
 * @Author PoffyZhang
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/irs/project/")
@Api(value = "irs", tags = "irs-IRS项目信息")
@RequiredArgsConstructor
public class IrsProjectController {

    private final IrsProjectManage irsProjectManage;

    @ApiOperation(value = "IRS项目列表", notes = "IRS项目列表")
    @GetMapping("/list")
    public PageVo<ProjectLibListItemVO> list(ProjectListReq projectListReq) {
        return irsProjectManage.list(projectListReq);
    }
}
