package com.ningdatech.pmapi.projectlib.helper;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ningdatech.pmapi.performance.model.entity.ProjectCoreBusinessIndicators;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import com.ningdatech.pmapi.projectlib.model.entity.ProjectApplication;
import com.ningdatech.pmapi.projectlib.model.req.ProjectListReq;
import com.ningdatech.pmapi.projectlib.model.req.ProjectRenewalListReq;
import com.ningdatech.pmapi.projectlib.model.vo.ProjectApplicationVO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.BeanUtils;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * ProjectRenewwalFundHelper
 * </p>
 *
 * @author ZPF
 * @since 14:15 2023/11/16
 */
public class ProjectRenewwalFundHelper {

    /**
     * 通用项目查询
     *
     * @param req 查询条件
     * @return /
     **/
    public static LambdaQueryWrapper<Project> projectQuery(ProjectRenewalListReq req) {
        LambdaQueryWrapper<Project> query = new LambdaQueryWrapper<>();
        query.eq(req.getRegionCode() != null, Project::getAreaCode, req.getRegionCode())
            .eq(req.getUserId() != null, Project::getCreateBy, req.getUserId())
            .like(req.getProjectName() != null, Project::getProjectName, req.getProjectName())
            .eq(req.getProjectType() != null, Project::getProjectType, req.getProjectType())
            .eq(req.getStage() != null, Project::getStage, req.getStage())
            .eq(req.getStatus() != null, Project::getStatus, req.getStatus())

            //状态 阶段 list
            .in(CollUtil.isNotEmpty(req.getStageList()),Project::getStage,req.getStageList())
            .in(CollUtil.isNotEmpty(req.getStatusList()),Project::getStatus,req.getStatusList())
            .orderByDesc(Project::getUpdateOn);
        return query;
    }
}
